Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.primitives
Class Mesh.Vertex

    java.lang.Object
      net.sf.j3d.util.Vector
          net.sf.j3d.threeD.raytracer.primitives.Mesh.Vertex

All Implemented Interfaces:
  Cloneable

Enclosing class:
  Mesh

    public static class Mesh.Vertex

extends Vector

Field Summary

Fields inherited from class net.sf.j3d.util.Vector
`CARTESIAN_COORDINATES, SPHERICAL_COORDINATES`

Constructor Summary
`Mesh.Vertex()`
`Mesh.Vertex(Vector p)`

Method Summary
`void` | `addNormal(Vector n)`
`RGB` | `getColor()`
`RGB` | `getColor(double d)`
`Vector` | `getNormal()`
`Vector` | `getNormal(double d)`
`void` | `removeNormal(Vector n)`
`void` | `setColor(RGB c)`
`void` | `setNormal(double x, double y, double z)`
`void` | `setNormal(Vector n)`

Methods inherited from class net.sf.j3d.util.Vector
`add, addTo, clone, crossProduct, divide, divideBy, dotProduct, equals, getData, getX, getY, getZ, hashCode, length, lengthSq, minus, multiply, multiplyBy, setX, setY, setZ, subtract, subtractFrom, toString, uniformSphericalRandom`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Mesh.Vertex

    public Mesh.Vertex()

### Mesh.Vertex

    public Mesh.Vertex(Vector p)

Method Detail

### setColor

    public void setColor(RGB c)

### getColor

    public RGB getColor()

### getColor

    public RGB getColor(double d)

### setNormal

    public void setNormal(double x,
                          double y,
                          double z)

### setNormal

    public void setNormal(Vector n)

### getNormal

    public Vector getNormal()

### getNormal

    public Vector getNormal(double d)

### addNormal

    public void addNormal(Vector n)

### removeNormal

    public void removeNormal(Vector n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD